Переполнение буера в Sudo

Дата публикации:
27.04.2002
Дата изменения:
06.02.2009
Всего просмотров:
701
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная
Воздействие:
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Sudo 1.x
Уязвимые версии: Sudo версии до 1.6.6

Описание:
Уязвимость позволяет локальному пользователю повысить свои привилегии на системе.

Уязвимость существует из-за ошибки проверки границ данных при обработке символов, передаваемых аргументу -p (prompt). Локальный пользователь может с помощью специально сформированной строки вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе с повышенными привилегиями.

URL производителя: www.sudo.ws

Решение: Установите последнюю версию 1.6.6 с сайта производителя.

Ссылки: Sudo version 1.6.6 now available (fwd)

или введите имя

CAPTCHA